package com.engine.recruit.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.recruit.service.RecruitOfferService;
import com.engine.recruit.service.impl.RecruitOfferServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/05/21
 * @version: 1.0
 */
public class RecruitOfferWrapper extends Service {
    private RecruitOfferService getRecruitOfferService(User user) {
        return ServiceUtil.getService(RecruitOfferServiceImpl.class, user);
    }

    public Map<String, Object> updatePreContent(Map<String, Object> param) {
        return getRecruitOfferService(user).updatePreContent(param);
    }
}
